Package org.codehaus.groovy.util

# Class AbstractConcurrentMapBase

java.lang.Object
org.codehaus.groovy.util.AbstractConcurrentMapBase

Direct Known Subclasses:
  `AbstractConcurrentMap`

public abstract class AbstractConcurrentMapBase extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`AbstractConcurrentMapBase.Entry<V>`
`static class`
`AbstractConcurrentMapBase.Segment`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int`
`MAXIMUM_CAPACITY`
`protected final AbstractConcurrentMapBase.Segment[]`
`segments`

## Constructor Summary

Constructors
Constructor
Description
`AbstractConcurrentMapBase(Object segmentInfo)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract AbstractConcurrentMapBase.Segment`
`createSegment(Object segmentInfo, int cap)`
`int`
`fullSize()`
`protected static <K> int`
`hash(K key)`
`AbstractConcurrentMapBase.Segment`
`segmentFor(int hash)`
`int`
`size()`
`Collection`
`values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAXIMUM_CAPACITY

protected static final int MAXIMUM_CAPACITY

See Also:
  - Constant Field Values

### segments

protected final AbstractConcurrentMapBase.Segment[] segments

## Constructor Details

### AbstractConcurrentMapBase

public AbstractConcurrentMapBase(Object segmentInfo)

## Method Details

### createSegment

protected abstract AbstractConcurrentMapBase.Segment createSegment(Object segmentInfo, int cap)

### hash

protected static <K> int hash(K key)

### segmentFor

public AbstractConcurrentMapBase.Segment segmentFor(int hash)

### fullSize

public int fullSize()

### size

public int size()

### values

public Collection values()